<template>
    <span :tooltip="text" :position="position"><slot /></span>
</template>

<script>
export default {
    props: {
        text: {
            type: String,
            default: "Tooltip text"
        },
        position: {
            default: "top",
            type: String
        }
    }
};
</script>
